<?php
/**
* Header Options.
*
* @package Aerial Drone
*/

$aerial_drone_default = aerial_drone_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'aerial_drone_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'aerial-drone' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'aerial_drone_theme_option_panel',
	)
);

$wp_customize->add_setting('aerial_drone_sticky',
    array(
        'default' => $aerial_drone_default['aerial_drone_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'aerial_drone_sanitize_checkbox',
    )
);
$wp_customize->add_control('aerial_drone_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'aerial-drone'),
        'section' => 'aerial_drone_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('aerial_drone_menu_font_size',
    array(
        'default'           => $aerial_drone_default['aerial_drone_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'aerial_drone_sanitize_number_range',
    )
);
$wp_customize->add_control('aerial_drone_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'aerial-drone'),
        'section'     => 'aerial_drone_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'aerial_drone_menu_text_transform',
    array(
    'default'           => $aerial_drone_default['aerial_drone_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'aerial_drone_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'aerial_drone_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'aerial-drone' ),
    'section'     => 'aerial_drone_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'aerial-drone' ),
        'uppercase'  => esc_html__( 'Uppercase', 'aerial-drone' ),
        'lowercase'    => esc_html__( 'Lowercase', 'aerial-drone' ),
        ),
    )
);


$wp_customize->add_setting('aerial_drone_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'aerial_drone_header_menus_color', array(
    'label'    => __('Main Menu Color', 'aerial-drone'),
    'section'  => 'aerial_drone_button_header_setting',
)));

$wp_customize->add_setting('aerial_drone_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'aerial_drone_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'aerial-drone'),
    'section'  => 'aerial_drone_button_header_setting',
)));

$wp_customize->add_setting('aerial_drone_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'aerial_drone_header_submenus_color', array(
    'label'    => __('Submenu Color', 'aerial-drone'),
    'section'  => 'aerial_drone_button_header_setting',
)));

$wp_customize->add_setting('aerial_drone_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'aerial_drone_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'aerial-drone'),
    'section'  => 'aerial_drone_button_header_setting',
)));


$wp_customize->add_setting( 'aerial_drone_header_phone_number',
    array(
    'default'           => $aerial_drone_default['aerial_drone_header_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_header_phone_number',
    array(
    'label'    => esc_html__( 'Header Phone Number', 'aerial-drone' ),
    'section'  => 'aerial_drone_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'aerial_drone_topheader_text',
    array(
    'default'           => $aerial_drone_default['aerial_drone_topheader_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_topheader_text',
    array(
    'label'    => esc_html__( 'Header Top Text', 'aerial-drone' ),
    'section'  => 'aerial_drone_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'aerial_drone_header_layout_button',
    array(
    'default'           => $aerial_drone_default['aerial_drone_header_layout_button'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_header_layout_button',
    array(
    'label'    => esc_html__( 'Button Text 1', 'aerial-drone' ),
    'section'  => 'aerial_drone_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'aerial_drone_header_layout_button_url',
    array(
    'default'           => $aerial_drone_default['aerial_drone_header_layout_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_header_layout_button_url',
    array(
    'label'    => esc_html__( 'Button Url 1', 'aerial-drone' ),
    'section'  => 'aerial_drone_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'aerial_drone_header_layout_button_1',
    array(
    'default'           => $aerial_drone_default['aerial_drone_header_layout_button_1'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_header_layout_button_1',
    array(
    'label'    => esc_html__( 'Button Text 2', 'aerial-drone' ),
    'section'  => 'aerial_drone_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'aerial_drone_header_layout_button_1_url',
    array(
    'default'           => $aerial_drone_default['aerial_drone_header_layout_button_1_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'aerial_drone_header_layout_button_1_url',
    array(
    'label'    => esc_html__( 'Button Url 2', 'aerial-drone' ),
    'section'  => 'aerial_drone_button_header_setting',
    'type'     => 'url',
    )
);